### Method

# EDataServer Client wait_for_connected

since: 3.16

#### Declaration [src]

    void
    e_client_wait_for_connected (
      EClient* client,
      guint32 timeout_seconds,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously waits until the `client` is connected (according to `ESource`::connection-status property), but not longer than `timeout_seconds`.

The call is finished by `e_client_wait_for_connected_finish()` from the `callback`.

Available since: 3.16

This method completes asynchronously. Use `e_client_wait_for_connected_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`timeout_seconds`

  Type: `guint32`

  A timeout for the wait, in seconds.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when a result is ready.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for the `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.